(function ($) {
	"use strict";

	/*********************************
	 * Sticky Navbar
	 *********************************/
	$(window).on("scroll", function () {
		const scrolling = $(this).scrollTop();
		const header = $(".header");

		if (scrolling >= 10) {
			header.addClass("nav-bg");
		} else {
			header.removeClass("nav-bg");
		}
	});

	/*********************************
	 * Toggle Mobile Menu
	 *********************************/
	$(".header__toggle").on("click", function (e) {
		e.preventDefault();
		$(this).toggleClass("active");
		$(".header__menu").toggleClass("mblMenu__open");
	});

	$(".header .header__menu ul li a").on("click", function () {
		$(".header__toggle").removeClass("active");
		$(".header__menu").removeClass("mblMenu__open");
	});

	/*********************************
	 * Smooth Scroll
	 *********************************/
	$(".header .header__menu ul li a").on("click", function (e) {
		const target = this.hash;
		const $target = $(target);

		if ($target.length) {
			e.preventDefault();
			$("html, body")
				.stop()
				.animate(
					{
						scrollTop: $target.offset().top - 150,
					},
					100,
					"swing",
					function () {
						window.location.hash = target;
					}
				);
		}
	});

	/*********************************
	 * Language Dropdown
	 *********************************/
	$(".language__dropdown .selected").on("click", function (e) {
		e.preventDefault();
		$(".dropdown__list").toggleClass("active");
	});

	$(document).on("click", function (e) {
		if (!$(e.target).closest(".meta__list").length && !$(e.target).closest(".language__dropdown").length) {
			$(".dropdown__list").removeClass("active");
		}
	});
})(jQuery);
